Subject: Re: Parser, Case, Resolution

From: Arpad Muranyi <[email-masked]>
Date: Wed, 8 Mar 95 14:56:39 PST

Text item: 

Kellee,

Very good, I agree with the recommendation you and Bob came up with.  In fact I 
thought I recommended the same thing in one of my EMAILs last week.  I might not
have stated it clearly enough, because I didn't get any responses to it.

Another way of looking at this issue is that no other error message stops the 
parser from running.  Why should this do that?  Just give a message and keep 
running.

However, I have a minor thing to pick on.

I would issue an ERROR message and not just a warning, since it is a direct 
violation of the spec.  To be forgiving to case-insensitive systems, I would put
a statement in the error message that tells the user something like this:

"IBIS file names must be all lower case.  Please ignore this message if you are 
running in an operating system which does not allow case-sensitive file names."

Of course, the parser would continue parsing which it currently does in the case
of all other error messages.

Arpad Muranyi
Intel Corporation
______________________________ Reply Separator _________________________________
Subject: Parser, Case, Resolution
Author:  [email-masked] at Internet_Gateway
Date:    3/8/95 12:45 PM

From: Kellee Crisafulli, HyperLynx

Greetings,

  Bob Ross and I had a long conversation today about the case sensitivity
issue with the
parser and file names.  Bob was initially against allowing upper case file
names from the
operating system to pass through the parser.  The final out come of our
conversation was
the following:

  1) The file name must remain lower case in the file itself (per the
specification).
  2) Either upper, lower or mixed upper/lower file names should be accepted
on the
     command line.
  3) If the file name from the command line is not all lower case than the
parser must
     post a WARNING (accept versions compiled for DOS).  The warning should
be state that
     the file name should be lower case.
  4) The comparision of the command line file name to the file name in the
IBIS file must
     be case INSENSITIVE.
  4) The file should be parsed and checked no matter what the case.  For
example if the
     user types in a lower case name and the file name on the system is
upper case because
     it came from a DOS enviorment the file should still be parsed.  If
there are
     multiple file names x1.ibs, X1.IBS, x1.IBS, x1.Ibs then the file name
which matches
     exactly what the user typed should be checked if present.  If not then
it is suffient
     to check only for a lower case name.

Is this acceptable to everyone?

Have a great day...Kellee Crisafulli, HyperLynx Inc.

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Subject: Parser, Case, Resolution
From: [email-masked]
To: [email-masked]
Date: Wed, 8 Mar 1995 12:40:58 -0800
BARRNet)
     id AA06456; Wed, 8 Mar 95 12:46:58 PST
Received: from vhdl.vhdl.org by hermes.intel.com (5.65/10.0i); Wed, 8 Mar 95 12:
45:50 -0800
Received: from hermes.intel.com by relay.jf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0rmScB-000twpC; Wed, 8 Mar 95 12:45 PST

---

From: Will Hobbs <[email-masked]>
Date: Fri, 10 Mar 95 15:56:25 PST

Text item: 

Arpad,

I do not think we should act on this resolution without a meeting.  It sounds 
like we have a solution, but I don't think we should have Ron and Paul implement
until we discuss this among the licensees.  If this can wait for resolution 
until next Friday, that should be our first topic.  Is this OK with everyone?

Will Hobbs
Intel Corp.

Kellee,

Arpad Muranyi
Intel Corporation

Greetings,

BARRNet)

45:50 -0800

Subject: Re: Parser, Case, Resolution
To: [email-masked], [email-masked]
From: Arpad Muranyi <[email-masked]>
Date: Wed, 8 Mar 95 14:56:39 PST
22:17 -0800
Received: from hermes.intel.com by ichips.intel.com (5.64+/10.0i); Thu, 9 Mar 95
 13:22:41 -0800
Received: from ichips.intel.com by relay.jf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0rmpfR-000twoC; Thu, 9 Mar 95 13:22 PST